package eu.devity.vaultconnector.serializable

import io.swagger.v3.oas.annotations.media.Schema

data class CreateCertificateResponse(
    @Schema(description = "serial number of the given certificate", example = "")
    val serialNumber: String,
    @Schema(description = "initial certificate", example = "")
    val certificate: String,
    @Schema(description = "ca certificate", example = "")
    val issuingCaCertificate: String,
    @Schema(description = "private key of the certificate", example = "")
    val privateKey: String? = null,
    @Schema(description = "ca Chain", example = "")
    val caChain: List<String?>?
)
