package eu.devity.vaultconnector.serializable.vault

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.databind.PropertyNamingStrategy
import com.fasterxml.jackson.databind.annotation.JsonNaming

@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
@JsonIgnoreProperties(ignoreUnknown = true)
data class VaultCertificateResponse(
    val data: Data
) {
    @JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy::class)
    @JsonIgnoreProperties(ignoreUnknown = true)
    data class Data(
        val certificate: String,
        val issuingCa: String,
        val caChain: List<String?>?,
        val privateKey: String?,
        val privateKeyType: String?,
        val serialNumber: String
    )
}
